# $Revision: 1.39.2.2 $, $Date: 2003/12/24 22:54:41 $
Summary:	GnomeICU is a clone of Mirabilis' popular ICQ written with GTK
Summary(fr):	Programme pour la communication sur Internet
Summary(pl):	GnomeICU - klon Mirabilis ICQ napisany z uyciem GTK
Name:		gnomeicu
Version:	0.96.1
Release:	2
License:	GPL
Vendor:		Jeremy Wise <jwise@pathwaynet.com>
Group:		Applications/Communications
Source0:	http://download.sourceforge.net/gnomeicu/%{name}-%{version}.tar.bz2
# Source0-md5:	1286c2d250562fc416836882b89bcdf1
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-desktop.patch
URL:		http://gnomeicu.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel >= 1.2.0
BuildRequires:	ORBit-devel >= 0.4.0
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	gnome-core-devel >= 1.2.0
BuildRequires:	gettext-devel
Requires:	gnome-libs >= 1.2.0
Requires:	ORBit >= 0.5.0
Requires:	gtk+ >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc

%description
GnomeICU is a clone of Mirabilis' popular ICQ written with GTK. The
original source was taken from Matt Smith's mICQ. This is ment as a
replacement for the JavaICQ, which is slow and buggy.

%description -l fr
gnomeICU est un programme de communication par Internet qui utilise le
protocole d'ICQ.

%description -l pl
GnomeICU to klon Mirabilis ICQ napisany z uyciem GTK. Oryginalne
rd pochodz z mICQ Matta Smitha. Ten program ma by zamiennikiem
JavaICQ, ktre jest wolne i ma bdy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
aclocal -I macros
autoconf
automake -a -c
gettextize --force --copy
# seems as if xss support is broken on alpha :-(
%configure \
%ifarch alpha
	--without-xss \
%endif
	--with-statusmenu \
	--enable-compile-warnings=no

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Utilitiesdir=%{_applnkdir}/Network/Communications \
	gnorbadir=%{_sysconfdir}/X11/GNOME/CORBA/servers \
	soundlistdir=%{_sysconfdir}/X11/GNOME/sound/events

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_sysconfdir}/X11/GNOME/CORBA/servers/GnomeICU.gnorba
%config(noreplace) %verify(not mtime md5 size) %{_sysconfdir}/X11/GNOME/sound/events/GnomeICU.soundlist
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Network/Communications/GnomeICU.desktop
%{_pixmapsdir}/*
%{_datadir}/sounds/gnomeicu
%{_datadir}/gnomeicu

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnomeicu.spec,v $
Revision 1.39.2.2  2003/12/24 22:54:41  ankry
- md5, new %doc, added -desktop and -ac patches, rel. 2

Revision 1.39.2.1  2003/07/11 12:01:12  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.39  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/11/29 11:23:31  qboosh
- pl translations

Revision 1.35  2001/03/03 21:33:08  kloczek
- updated to 0.96.1.

Revision 1.34  2001/02/27 10:47:31  wiget
add missing directory

Revision 1.33  2001/02/26 08:32:35  kloczek
- updated to 0.96.

Revision 1.32  2001/02/17 01:18:09  michuz
- release 2
- %%{_applnk}/Network/ICQ changed to Communications

Revision 1.31  2001/02/13 16:23:17  kloczek
- again fixed %files.

Revision 1.30  2001/02/13 16:05:23  kloczek
- updated %files list.

Revision 1.29  2001/02/13 15:46:10  kloczek
- updated to 0.95.3.

Revision 1.28  2001/02/13 15:38:24  kloczek
- regenerate all am/ac files and added automake, autoconf to BuildRequires.

Revision 1.27  2001/02/13 15:27:36  kloczek
- updated to 0.95.1,
- new Sourc url and URL.

Revision 1.26  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.25  2001/01/03 16:21:07  kloczek
- do not list twice %doc files (first on end %install during compres and
  second in %files).

Revision 1.24  2001/01/03 00:50:14  michuz
- release 2
- cleanups in %%{_sysconfdir}

Revision 1.23  2000/10/31 12:21:12  michuz
- updated to 0.94.1

Revision 1.22  2000/10/27 10:07:19  kloczek
- release 4: rebuild against gnome-libs linked with db3.

Revision 1.21  2000/09/30 21:21:02  kloczek
- release 3: added using rpm new automation.

Revision 1.20  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/30 14:28:28  michuz
- release 2
- %%applnkdir changed

Revision 1.17  2000/05/18 23:46:01  kloczek
- spec adapterized.

Revision 1.16  2000/05/09 08:52:11  kloczek
- fixed path to gnomeicu desktop file (s/Network/Networking/).

Revision 1.15  2000/05/09 08:32:12  kloczek
- updated to 0.93,
- added using %%{_applnkdir} macro.

Revision 1.14  2000/04/26 06:24:58  wiget
BuildRequires: gnome-core-devel >= 1.1.5

Revision 1.13  2000/04/26 06:01:57  wiget
compile with status menu

Revision 1.12  2000/04/03 21:57:29  kloczek
- updated to 0.92,
- include %{_datadir}/sounds/gnomeicu directory to package.

Revision 1.11  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:20  baggins
- translated kloczkish into english

Revision 1.9  2000/03/26 14:31:38  kloczek
- release 3,
- added fr translation.

Revision 1.8  2000/03/23 12:41:15  wiget
BuildRequires: gnome-core-devel

Revision 1.7  2000/01/28 02:42:49  kloczek
- release 2,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.6  2000/01/13 03:34:42  kloczek
- updated to 0.90.

Revision 1.5  1999/12/28 22:07:18  kloczek
- move hashed tekst in proper place.

Revision 1.4  1999/12/28 22:01:16  kloczek
- added Vendor field,
- added "BuildRequires: gettext-devel",
- added Group(pl),
- added passing LDFLAGS="-s" to ./configure enviroment in %build (now
  binaries are stripped),
- some cosmetisc.

Revision 1.3  1999/12/28 21:35:45  wiget
- fix .mo files installation

Revision 1.2  1999/12/28 21:40:19  wiget
- adapterized
- rewrite for PLD style

* Fri Sep 10 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added support for SMP builds

* Sun Jul 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added online documentation
- added locale files

* Sat Jul 10 1999 Herbert Valerio Riedel <hvr@gnu.org>
- no need to define %{name} and %{version} explicitly (thanks to
  Graham Cole <dybbuk@earthlink.net> for this hint)

* Tue Jun 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- first try at an official RPM
